Declaration (JavaFX 17)

Module javafx.graphics
Package javafx.css

## Class Declaration

- java.lang.Object
- - javafx.css.Declaration

-     public final class Declaration
      extends Object

  This class serves as a container of a CSS property and its value.
  Since:
    9

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` | Indicates whether some other `Object` is "equal to" this one.
    `ParsedValue` | `getParsedValue()` | Gets the parsed value.
    `String` | `getProperty()` | Gets the CSS property name.
    `Rule` | `getRule()` | Gets the `Rule` to which this `Declaration` belongs.
    `boolean` | `isImportant()` | Gets the importance of this `Declaration`.

    - ### Methods declared in class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getParsedValue

          public ParsedValue getParsedValue()

      Gets the parsed value.
      Returns:
        the parsed value

    - #### getProperty

          public String getProperty()

      Gets the CSS property name.
      Returns:
        the CSS property

    - #### getRule

          public Rule getRule()

      Gets the `Rule` to which this `Declaration` belongs.
      Returns:
        the `Rule`

    - #### isImportant

          public final boolean isImportant()

      Gets the importance of this `Declaration`.
      Returns:
        the important flag

    - #### equals

          public boolean equals​(Object obj)

      Indicates whether some other `Object` is "equal to" this one.

      One `Declaration` is equal to another regardless of the `Rule` to which the `Declaration` belongs. Only the property, value and importance are considered.

      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - an `Object` to compare
      Returns:
        `true` if this object is the same as the `obj` argument; `false` otherwise